Package org.gitana.platform.client.support

# Interface ObjectFactory

All Known Implementing Classes:
  `ObjectFactoryImpl`

public interface ObjectFactory

Author:
  uzi

## Method Summary

Modifier and Type
Method
Description
`Application`
`application(Platform platform)`
`Application`
`application(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Application`
`application(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Application>`
`applications(Platform platform, Response response)`
`Archive`
`archive(Vault vault, Response response)`
`org.gitana.platform.support.ResultMap<Archive>`
`archives(Vault vault, Response response)`
`Association`
`association(Branch branch, Response response)`
`Association`
`association(Branch branch, org.gitana.platform.support.QName typeQName)`
`Association`
`association(Branch branch, org.gitana.platform.support.QName typeQName, com.fasterxml.jackson.databind.node.ObjectNode object)`
`org.gitana.platform.support.ResultMap<Association>`
`associations(Branch branch, Response response)`
`org.gitana.platform.support.ResultMap<Attachment>`
`attachments(Attachable attachable, Response response)`
`AuthenticationGrant`
`authenticationGrant(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`AuthenticationGrant`
`authenticationGrant(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<AuthenticationGrant>`
`authenticationGrants(Platform platform, Response response)`
`AutoClientMapping`
`autoClientMapping(WebHost webhost, Response response)`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
`autoClientMappings(WebHost webhost, Response response)`
`BillingProviderConfiguration`
`billingProviderConfiguration(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<BillingProviderConfiguration>`
`billingProviderConfigurations(Platform platform, Response response)`
`BillingTransaction`
`billingTransaction(Tenant tenant, Response response)`
`org.gitana.platform.support.ResultMap<BillingTransaction>`
`billingTransactions(Tenant tenant, Response response)`
`Branch`
`branch(Repository repository)`
`Branch`
`branch(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Branch`
`branch(Repository repository, Response response)`
`org.gitana.platform.support.ResultMap<Branch>`
`branches(Repository repository, Response response)`
`Changeset`
`changeset(Repository repository, Response response)`
`org.gitana.platform.support.ResultMap<Changeset>`
`changesets(Repository repository, Response response)`
`Client`
`client(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Client`
`client(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Client>`
`clients(Platform platform, Response response)`
`Deletion`
`deletion(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Deletion`
`deletion(Branch branch, Response response)`
`org.gitana.platform.support.ResultMap<Deletion>`
`deletions(Branch branch, Response response)`
`DeployedApplication`
`deployedApplication(WebHost webhost, Response response)`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
`deployedApplications(WebHost webhost, Response response)`
`org.gitana.platform.support.ResultMap<Directory>`
`directories(Platform platform, Response response)`
`Directory`
`directory(Platform platform)`
`Directory`
`directory(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Directory`
`directory(Platform platform, Response response)`
`Domain`
`domain(Platform platform)`
`Domain`
`domain(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Domain`
`domain(Platform platform, Response response)`
`DomainPrincipal`
`domainPrincipal(Domain domain, com.fasterxml.jackson.databind.node.ObjectNode object)`
`DomainPrincipal`
`domainPrincipal(Domain domain, Response response)`
`DomainPrincipal`
`domainPrincipal(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`DomainPrincipal`
`domainPrincipal(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`domainPrincipals(Domain domain, Response response)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`domainPrincipals(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Domain>`
`domains(Platform platform, Response response)`
`Email`
`email(Application application, Response response)`
`EmailProvider`
`emailProvider(Application application, Response response)`
`org.gitana.platform.support.ResultMap<EmailProvider>`
`emailProviders(Application application, Response response)`
`org.gitana.platform.support.ResultMap<Email>`
`emails(Application application, Response response)`
`org.gitana.platform.support.ResultMap<Identity>`
`identities(Directory directory, Response response)`
`Identity`
`identity(Directory directory, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Identity`
`identity(Directory directory, Response response)`
`Job`
`job(Cluster cluster, Response response)`
`org.gitana.platform.support.ResultMap<Job>`
`jobs(Cluster cluster, Response response)`
`org.gitana.platform.support.ResultMap<LogEntry>`
`logEntries(Cluster cluster, Response response)`
`LogEntry`
`logEntry(Cluster cluster, Response response)`
`Meter`
`meter(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Meter`
`meter(Registrar registrar, Response response)`
`org.gitana.platform.support.ResultMap<Meter>`
`meters(Registrar registrar, Response response)`
`BaseNode`
`node(Branch branch, Response response)`
`BaseNode`
`node(Branch branch, org.gitana.platform.support.QName typeQName)`
`BaseNode`
`node(Branch branch, org.gitana.platform.support.QName typeQName, com.fasterxml.jackson.databind.node.ObjectNode object)`
`org.gitana.platform.support.ResultMap<BaseNode>`
`nodes(Branch branch, Response response)`
`PaymentMethod`
`paymentMethod(Tenant tenant, Response response)`
`org.gitana.platform.support.ResultMap<PaymentMethod>`
`paymentMethods(Tenant tenant, Response response)`
`Plan`
`plan(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Plan`
`plan(Registrar registrar, Response response)`
`org.gitana.platform.support.ResultMap<Plan>`
`plans(Registrar registrar, Response response)`
`Platform`
`platform(Cluster cluster, Response response)`
`PlatformDataStore`
`platformDataStore(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`org.gitana.platform.support.ResultMap<PlatformDataStore>`
`platformDataStores(Platform platform, Response response)`
`Map<String,Map<String,org.gitana.platform.services.authority.AuthorityGrant>>`
`principalAuthorityGrants(Response response)`
`BaseNode`
`produce(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode object, boolean isSaved)`
`Project`
`project(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Project>`
`projects(Platform platform, Response response)`
`void`
`register(org.gitana.platform.support.QName typeQName, Class implementationClass)`
`Registrar`
`registrar(Platform platform)`
`Registrar`
`registrar(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Registrar`
`registrar(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Registrar>`
`registrars(Platform platform, Response response)`
`Registration`
`registration(Application application, Response response)`
`org.gitana.platform.support.ResultMap<Registration>`
`registrations(Application application, Response response)`
`Release`
`release(Repository repository)`
`Release`
`release(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Release`
`release(Repository repository, Response response)`
`org.gitana.platform.support.ResultMap<Release>`
`releases(Repository repository, Response response)`
`org.gitana.platform.support.ResultMap<Repository>`
`repositories(Platform platform, Response response)`
`Repository`
`repository(Platform platform)`
`Repository`
`repository(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Repository`
`repository(Platform platform, Response response)`
`Settings`
`settings(Application application, Response response)`
`org.gitana.platform.support.ResultMap<Settings>`
`settingsMap(Application application, Response response)`
`Stack`
`stack(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Stack>`
`stacks(Platform platform, Response response)`
`Team`
`team(Cluster cluster, Teamable teamable, String teamKey, Response response)`
`org.gitana.platform.support.ResultMap<Team>`
`teams(Cluster cluster, Teamable teamable, Response response)`
`Tenant`
`tenant(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Tenant`
`tenant(Registrar registrar, Response response)`
`org.gitana.platform.support.ResultMap<Tenant>`
`tenants(Registrar registrar, Response response)`
`Vault`
`vault(Platform platform)`
`Vault`
`vault(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Vault`
`vault(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Vault>`
`vaults(Platform platform, Response response)`
`WebHost`
`webhost(Platform platform)`
`WebHost`
`webhost(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`WebHost`
`webhost(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<WebHost>`
`webhosts(Platform platform, Response response)`

## Method Details

### platform

Platform platform(Cluster cluster, Response response)

### repository

Repository repository(Platform platform)

### repository

Repository repository(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

### repository

Repository repository(Platform platform, Response response)

### repositories

org.gitana.platform.support.ResultMap<Repository> repositories(Platform platform, Response response)

### branch

Branch branch(Repository repository)

### branch

Branch branch(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode object)

### branch

Branch branch(Repository repository, Response response)

### branches

org.gitana.platform.support.ResultMap<Branch> branches(Repository repository, Response response)

### release

Release release(Repository repository)

### release

Release release(Repository repository, com.fasterxml.jackson.databind.node.ObjectNode object)

### release

Release release(Repository repository, Response response)

### releases

org.gitana.platform.support.ResultMap<Release> releases(Repository repository, Response response)

### changeset

Changeset changeset(Repository repository, Response response)

### changesets

org.gitana.platform.support.ResultMap<Changeset> changesets(Repository repository, Response response)

### node

BaseNode node(Branch branch, org.gitana.platform.support.QName typeQName)

### node

BaseNode node(Branch branch, org.gitana.platform.support.QName typeQName, com.fasterxml.jackson.databind.node.ObjectNode object)

### node

BaseNode node(Branch branch, Response response)

### nodes

org.gitana.platform.support.ResultMap<BaseNode> nodes(Branch branch, Response response)

### association

Association association(Branch branch, org.gitana.platform.support.QName typeQName)

### association

Association association(Branch branch, org.gitana.platform.support.QName typeQName, com.fasterxml.jackson.databind.node.ObjectNode object)

### association

Association association(Branch branch, Response response)

### associations

org.gitana.platform.support.ResultMap<Association> associations(Branch branch, Response response)

### register

void register(org.gitana.platform.support.QName typeQName, Class implementationClass)

### produce

BaseNode produce(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode object, boolean isSaved)

### deletion

Deletion deletion(Branch branch, com.fasterxml.jackson.databind.node.ObjectNode object)

### deletion

Deletion deletion(Branch branch, Response response)

### deletions

org.gitana.platform.support.ResultMap<Deletion> deletions(Branch branch, Response response)

### domain

Domain domain(Platform platform)

### domain

Domain domain(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

### domain

Domain domain(Platform platform, Response response)

### domains

org.gitana.platform.support.ResultMap<Domain> domains(Platform platform, Response response)

### domainPrincipal

DomainPrincipal domainPrincipal(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

### domainPrincipal

DomainPrincipal domainPrincipal(Platform platform, Response response)

### domainPrincipals

org.gitana.platform.support.ResultMap<DomainPrincipal> domainPrincipals(Platform platform, Response response)

### domainPrincipal

DomainPrincipal domainPrincipal(Domain domain, com.fasterxml.jackson.databind.node.ObjectNode object)

### domainPrincipal

DomainPrincipal domainPrincipal(Domain domain, Response response)

### domainPrincipals

org.gitana.platform.support.ResultMap<DomainPrincipal> domainPrincipals(Domain domain, Response response)

### directory

Directory directory(Platform platform)

### directory

Directory directory(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

### directory

Directory directory(Platform platform, Response response)

### directories

org.gitana.platform.support.ResultMap<Directory> directories(Platform platform, Response response)

### identity

Identity identity(Directory directory, com.fasterxml.jackson.databind.node.ObjectNode object)

### identity

Identity identity(Directory directory, Response response)

### identities

org.gitana.platform.support.ResultMap<Identity> identities(Directory directory, Response response)

### stack

Stack stack(Platform platform, Response response)

### stacks

org.gitana.platform.support.ResultMap<Stack> stacks(Platform platform, Response response)

### client

Client client(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

### client

Client client(Platform platform, Response response)

### clients

org.gitana.platform.support.ResultMap<Client> clients(Platform platform, Response response)

### authenticationGrant

AuthenticationGrant authenticationGrant(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

### authenticationGrant

AuthenticationGrant authenticationGrant(Platform platform, Response response)

### authenticationGrants

org.gitana.platform.support.ResultMap<AuthenticationGrant> authenticationGrants(Platform platform, Response response)

### project

Project project(Platform platform, Response response)

### projects

org.gitana.platform.support.ResultMap<Project> projects(Platform platform, Response response)

### job

Job job(Cluster cluster, Response response)

### jobs

org.gitana.platform.support.ResultMap<Job> jobs(Cluster cluster, Response response)

### logEntry

LogEntry logEntry(Cluster cluster, Response response)

### logEntries

org.gitana.platform.support.ResultMap<LogEntry> logEntries(Cluster cluster, Response response)

### vault

Vault vault(Platform platform)

### vault

Vault vault(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

### vault

Vault vault(Platform platform, Response response)

### vaults

org.gitana.platform.support.ResultMap<Vault> vaults(Platform platform, Response response)

### archive

Archive archive(Vault vault, Response response)

### archives

org.gitana.platform.support.ResultMap<Archive> archives(Vault vault, Response response)

### application

Application application(Platform platform)

### application

Application application(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

### application

Application application(Platform platform, Response response)

### applications

org.gitana.platform.support.ResultMap<Application> applications(Platform platform, Response response)

### settings

Settings settings(Application application, Response response)

### settingsMap

org.gitana.platform.support.ResultMap<Settings> settingsMap(Application application, Response response)

### registration

Registration registration(Application application, Response response)

### registrations

org.gitana.platform.support.ResultMap<Registration> registrations(Application application, Response response)

### email

Email email(Application application, Response response)

### emails

org.gitana.platform.support.ResultMap<Email> emails(Application application, Response response)

### emailProvider

EmailProvider emailProvider(Application application, Response response)

### emailProviders

org.gitana.platform.support.ResultMap<EmailProvider> emailProviders(Application application, Response response)

### registrar

Registrar registrar(Platform platform)

### registrar

Registrar registrar(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

### registrar

Registrar registrar(Platform platform, Response response)

### registrars

org.gitana.platform.support.ResultMap<Registrar> registrars(Platform platform, Response response)

### tenant

Tenant tenant(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)

### tenant

Tenant tenant(Registrar registrar, Response response)

### tenants

org.gitana.platform.support.ResultMap<Tenant> tenants(Registrar registrar, Response response)

### plan

Plan plan(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)

### plan

Plan plan(Registrar registrar, Response response)

### plans

org.gitana.platform.support.ResultMap<Plan> plans(Registrar registrar, Response response)

### meter

Meter meter(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode object)

### meter

Meter meter(Registrar registrar, Response response)

### meters

org.gitana.platform.support.ResultMap<Meter> meters(Registrar registrar, Response response)

### webhost

WebHost webhost(Platform platform)

### webhost

WebHost webhost(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

### webhost

WebHost webhost(Platform platform, Response response)

### webhosts

org.gitana.platform.support.ResultMap<WebHost> webhosts(Platform platform, Response response)

### autoClientMapping

AutoClientMapping autoClientMapping(WebHost webhost, Response response)

### autoClientMappings

org.gitana.platform.support.ResultMap<AutoClientMapping> autoClientMappings(WebHost webhost, Response response)

### deployedApplication

DeployedApplication deployedApplication(WebHost webhost, Response response)

### deployedApplications

org.gitana.platform.support.ResultMap<DeployedApplication> deployedApplications(WebHost webhost, Response response)

### platformDataStore

PlatformDataStore platformDataStore(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)

### platformDataStores

org.gitana.platform.support.ResultMap<PlatformDataStore> platformDataStores(Platform platform, Response response)

### paymentMethod

PaymentMethod paymentMethod(Tenant tenant, Response response)

### paymentMethods

org.gitana.platform.support.ResultMap<PaymentMethod> paymentMethods(Tenant tenant, Response response)

### billingTransaction

BillingTransaction billingTransaction(Tenant tenant, Response response)

### billingTransactions

org.gitana.platform.support.ResultMap<BillingTransaction> billingTransactions(Tenant tenant, Response response)

### billingProviderConfiguration

BillingProviderConfiguration billingProviderConfiguration(Platform platform, Response response)

### billingProviderConfigurations

org.gitana.platform.support.ResultMap<BillingProviderConfiguration> billingProviderConfigurations(Platform platform, Response response)

### attachments

org.gitana.platform.support.ResultMap<Attachment> attachments(Attachable attachable, Response response)

### principalAuthorityGrants

Map<String,Map<String,org.gitana.platform.services.authority.AuthorityGrant>> principalAuthorityGrants(Response response)

### team

Team team(Cluster cluster, Teamable teamable, String teamKey, Response response)

### teams

org.gitana.platform.support.ResultMap<Team> teams(Cluster cluster, Teamable teamable, Response response)